Rysunek Roboczy: Pośrednia płaszczyzna robocza

From FreeCAD Documentation
This page is a translated version of the page Draft WorkingPlaneProxy and the translation is 97% complete.
Outdated translations are marked like this.

Rysunek Roboczy: Pośrednia płaszczyzna robocza

Lokalizacja w menu
Narzędzia → Pośrednia płaszczyzna robocza
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Wybierz płaszczyznę

Opis

Polecenie Pośrednia płaszczyzna robocza tworzy proxy płaszczyzny roboczej w celu zapisania bieżącej płaszczyzny roboczej. Pośrednia płaszczyzna robocza może być użyta do szybkiego przywrócenia płaszczyzny roboczej. Ujęcie widoku i widoczność obiektów w oknie widoku 3D są również zapisywane w obiekcie pośrednim płaszczyzny roboczej i mogą, opcjonalnie, zostać przywrócone.

Trzy pośrednie płaszczyzny robocze pokazujące różne orientacje i przesunięcia.

Użycie

  1. Opcjonalnie zmień płaszczyznę roboczą.
  2. Opcjonalnie można zmienić ujęcie widoku 3D.
  3. Opcjonalnie można zmienić widoczność obiektów w dokumencie.
  4. Polecenie można wywołać na kilka sposobów:
    • Naciśnij przycisk 'Pośrednia płaszczyzna robocza.
    • Wybierz opcję z menu Narzędzia → Pośrednia płaszczyzna robocza.
  5. Zostanie utworzona pośrednia płaszczyzna robocza.
  6. Aby wyrównać płaszczyznę roboczą z pośrednią płaszczyzną roboczą, kliknij dwukrotnie pośrednią płaszczyznę roboczą w widoku drzewa lub użyj polecenia Wybór płaszczyzny.

Menu podręczne

W przypadku Pośredniej płaszczyzny roboczej środowiska Rysunek Roboczy te dodatkowe opcje są dostępne w menu kontekstowym widoku drzewa:

  • Zapisz pozycję kamery: aktualizuje właściwość WIDOKWyświetlanie danych proxy płaszczyzny roboczej z bieżącymi ustawieniami kamery widoku 3D.
  • : Zapisz stan obiektów: aktualizuje właściwość WIDOKMapa widoczności proxy płaszczyzny roboczej z bieżącym stanem widoczności obiektów w dokumencie.

Uwagi

Właściwości

Zapoznaj się również z informacjami na stronie: Edytor właściwości.

Obiekt Pośrednia płaszczyznarobocza środowiska pracy Rysunek Roboczy wywodzi się z obiektu Część: Cecha i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Podstawa

  • DANEUmiejscowienie (Placement): określa pozycję proxy płaszczyzny roboczej w widoku 3D. Aby dowiedzieć się więcej zapoznaj się z informacjami na stronie Umiejscowienie.
  • DANEKształt (Hidden): określa kształt pośredniej płaszczyzny roboczej.

Widok

Podstawa

  • WIDOKKolor linii (Color): określa kolor wszystkich elementów pośredniej płaszczyzny roboczej.
  • WIDOKSzerokość linii (Float): określa szerokość linii osi i symboli strzałek.
  • WIDOKPrzywróć stan (Bool): określa, czy WIDOKMapa widoczności jest przywracana, gdy płaszczyzna robocza jest wyrównana z pośrednią płaszczyzną roboczą.
  • WIDOKPrzywróć widok (Bool): określa, czy WIDOKWidok danych jest przywracany, gdy płaszczyzna robocza jest wyrównana z pośrednią płaszczyzną roboczą.
  • WIDOKWidoczność (Percent): określa przezroczystość powierzchni pośredniej płaszczyzny roboczej.
  • WIDOKWidok danych (FloatList): określa pozycję i ustawienia kamery.
  • WIDOK (ukryte)Mapa widoczności (Map): określa stan widoczności obiektów.

Rysunek Roboczy

  • WIDOKRozmiar strzałki (Length): określa rozmiar symboli strzałek wyświetlanych na końcu trzech osi.
  • WIDOKWyświetlany rozmiar (Length): określa długość i szerokość pośredniej płaszczyzny roboczej.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy pisania skryptów dla FreeCAD.

Aby utworzyć Pośrednią płaszczyznę roboczą środowiska Rysunek Roboczy należy użyć metody make_workingplaneproxy modułu Rysunek Roboczy.

Jeśli środowisko pracy Rysunek Roboczy jest aktywne, obiekt aplikacji FreeCAD posiada właściwość DraftWorkingPlane, która przechowuje bieżącą płaszczyznę roboczą. Wartość Umiejscowienie z metody getPlacement obiektu DraftWorkingPlane może być użyta do utworzenia wyrównanej pośredniej płaszczyzny roboczej. Z kolei Umiejscowienie pośredniej płaszczyzny roboczej może być użyte do wyrównania płaszczyzny roboczej.

# This code only works if the Draft Workbench is active!

import FreeCAD as App
import FreeCADGui as Gui
import Draft

doc = App.newDocument()

workplane = App.DraftWorkingPlane
place = workplane.getPlacement()

proxy = Draft.make_workingplaneproxy(place)
proxy.ViewObject.DisplaySize = 3000
proxy.ViewObject.ArrowSize = 200

axis2 = App.Vector(1, 1, 1)
point2 = App.Vector(3000, 0, 0)
place2 = App.Placement(point2, App.Rotation(axis2, 90))

proxy2 = Draft.make_workingplaneproxy(place2)
proxy2.ViewObject.DisplaySize = 3000
proxy2.ViewObject.ArrowSize = 200

workplane.setFromPlacement(proxy2.Placement, rebase=True)
Gui.Snapper.setGrid()

doc.recompute()